Name:           libbson
Version:        0.4.0
Release:        2%{?dist}
Summary:        BSON library

License:        ASL 2.0
URL:            https://github.com/mongodb/%{name}
#Source0:        https://github.com/mongodb/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  automake
ExcludeArch:    i386

%description
libbson is a library providing useful routines related to
building, parsing, and iterating BSON documents. It is a
useful base for those wanting to write high-performance
C extensions to higher level languages such as Python,
Ruby, or Perl.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING README NEWS
/usr/share/doc/libbson/COPYING
/usr/share/doc/libbson/NEWS
/usr/share/doc/libbson/README
%{_libdir}/*.so*

%files devel
%dir %{_includedir}/%{name}-1.0
%{_includedir}/%{name}-1.0/*.h
%{_libdir}/%{name}-1.0.a
%{_libdir}/%{name}-1.0.la
%{_libdir}/pkgconfig/%{name}-1.0.pc

%changelog
* Thu Apr 16 2015 Hanine HAMZIOUI <hhamzioui@magic.fr> - 0.4.0-2
- Release bump for koji
* Wed Dec 18 2013 Christophe Crochet <christophe.crochet@magic.fr> - 0.4.0
- version bump
- small fixes
- based on libbson.spec from v0.2.0 by Mike Manilone <crtmike@gmx.us>
